petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatDiagonalScaleLocal

Scales columns of a matrix given the scaling values including the ghosted ones.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDiagonalScaleLocal(Mat mat,Vec diag)

Not Collective

### Input Parameters

| mat | - the matrix
| diag = the diagonal values, including ghost ones | -

Notes: Works only for MPIAIJ and MPIBAIJ matrices

### See Also

MatDiagonalScale()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages